std::lock_guard< _Mutex >(3cxx)

NAME
std::lock_guard< _Mutex > - A simple scoped lock type.

SYNOPSIS

#include <std_mutex.h>

  Public Types

typedef _Mutex mutex_type

  Public Member Functions

lock_guard (const lock_guard &)=delete
lock_guard (mutex_type &__m)
lock_guard (mutex_type &__m, adopt_lock_t) noexcept
lock_guard & operator= (const lock_guard &)=delete

Detailed Description

  template<typename _Mutex>
class std::lock_guard< _Mutex >"A simple scoped lock type.

A lock_guard controls mutex ownership within a scope, releasing ownership in the destructor.

Author

Generated automatically by Doxygen for libstdc++ from the source code.